!
      if (vars(iValue)%doCurrentAzimuth) then
         write (iUnit,*) CMD(1:lCMD)
      else
         write (iUnit,*) CMD(1:lCMD),                                    &
     &     vars(iValue)%azimuth
      end if
!
